Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000438SpeedFanOtherpublic2005-12-30 23:572006-08-12 10:46
Reporteradampk17 
Assigned Toalfredo 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformDFI nF4 SLI-DR ExpertOSWindows XP ProfessionalOS VersionSP2
Product Version4.29 
Target VersionFixed in Version 
Summary0000438: When launching Speedfan my computer shuts off
DescriptionI'm a long time user of Speedfan (I love it). I just upgraded my motherboard and video card and re-installed the OS.

My motherboard is a DFI nF4 SLI-DR Expert which uses the NForce 4 SLI chipset and my video card is a EVGA 7800 GT.

I just installed the lastest available non-beta version of Speedfan from your website and when I lauch SPeedfan it begins to scan the busses and the computer shuts off. It doesn't log off, or shut down, or crash, it just turns off in the blink of an eye.

I'm not able to read quickly enough to see what it is scanning just before it shuts off. I'd love to get Speedfan working and it would be cool if I can help you overcome a possible bug or add some new hardware support possibly. Where do I start?
TagsNo tags attached.
Motherboard Model
Video Card ModelEVGA 7800GT CO 256-P2-N517-AX
Attached Files

- Relationships
duplicate of 0000522resolvedalfredo Upon installing Speed Fan, and starting up for first time. halfway loading stuff, computer SHUTS OFF 
parent of 0000615resolvedalfredo System powers off when loading Speedfan during SMBBus scan 
has duplicate 0000496closedalfredo PC shuts down when opening Speedfan 

-  Notes
(0001443)
adampk17 (reporter)
2005-12-31 01:08

Just used the /NOSMBSCAN option and Speed fan will start now.

Please let me know how you would like to me to proceed from here.

Thanks
(0001444)
mak84 (reporter)
2005-12-31 16:44

just want to confirm that my friend and i both have the same problem as this (both have dfi expert motherboards)

/nosmbscan switch seems to fix it?

doesn't detect HDD temps either or perform SMART tests, maybe cause i've got 4x ST380817AS in RAID on the silicon image 3114 controller? :/
(0001459)
rudds (reporter)
2006-01-23 07:55

Adding another confirmation, I also have a DFI SLI-DR Expert and have this exact same problem. So obviously there is a common theme. :D

/nosmbscan also worked for me but will this disable some of the program's functionality? Maybe this will simply be fixed in a new version.
(0001462)
Mythos (reporter)
2006-01-26 11:44
edited on: 2006-01-28 19:56

Have the same problem on DFI expert.
/NOSMBSCAN works, but even with this option, the problems don't disappear completely. When I start speedfan now and play some music or video, there are some short gaps in the sound every other minute.

EDIT: The sound issue solved in another thread.

(0001485)
alfredo (manager)
2006-02-07 16:39

Ok: you found the fix. The /NOSMBSCAN switch prevents any access to the SMBus. If you still can see temperature, voltages and fan speeds then most features are available. There might still be something else that was missed on the SMBus. I'm working on a way to handle such situations to still allow scanning the SMBus avoiding some addresses.
The issue related to audio skipping every minute should be fixed by updating hard disk or audio drivers.
(0001583)
Cook1 (reporter)
2006-03-15 17:44

Where exactly do you put the "/NOSMBSCAN" command?

From my understanding it was right clicking on the short cut of speed fan, going to properties then adding the command to the "target". But upon doing that, doesn't matter where in the target I place it, I get a message about an invalid something (not at my home computer atm so can't put the exact error).
(0001585)
mak84 (reporter)
2006-03-16 00:16

Copy the following line into your shortcuts target feild:

"C:\Program Files\SpeedFan\speedfan.exe" /NOSMBSCAN
(0001598)
bonzo206 (reporter)
2006-03-30 06:39

I could start speedfan with commandline parameter now, but see nothing ;-( so temps, no fans, nothing.

Any thoughts?
(0001601)
walt (reporter)
2006-03-30 21:05
edited on: 2006-03-30 21:05

I don't know if this will help, but I too have a DFI motherboard, though an LP,

I do know that if one installs the DFI Hardware Doctor/Monitor utility off of their CD, Speedfan doesn't work. I guess one or the other "doesn't play well with others".

For me, the solution was to pick the better of the two, and I uninstalled completely the DFI Hardware Doctor utility.

(0001605)
bonzo206 (reporter)
2006-03-31 05:57

mmmhhh

I haven't installed DFI Monitoring. Any other ideas?
(0001869)
adampk17 (reporter)
2006-08-08 05:00

I just confirmed that this is still an issue with 4.29.

Is /NOSMBSCAN actually considered the "fix" for this issue rather than just a workaround?
(0001870)
alfredo (manager)
2006-08-08 10:32

In the help file it is described a DEBUG SMBUS procedure. The problem should be that one device on the SMBus doesn't like to be "touched". If any of you can use that procedure to tell me which is the SMBus address that triggers this issue I will release a final fix.
Thank you.
(0001872)
mak84 (reporter)
2006-08-09 14:42
edited on: 2006-08-10 01:34

Address $2E seems to be the culprit. Shut off as soon as I hit the button to scan it.

(0001873)
mak84 (reporter)
2006-08-09 14:45
edited on: 2006-08-10 01:34

9/08/2006 10:34:28 PM - Scanning device at $2E

and then the crash.

(0001874)
adampk17 (reporter)
2006-08-09 16:46

Great work mak84! Thanks for taking the time to do that. Were you able to use the information you gathered and exclude $2E or is that something that Alfredo will need to do?
(0001876)
alfredo (manager)
2006-08-09 21:03

Hmm... So, it is address $2E that causes the issue. In the beta area you can find the ACPI TABLES tool. Could you upload here the result from that tool, please? I will create a beta a few seconds later :-)
(0001880)
adampk17 (reporter)
2006-08-10 01:23
edited on: 2006-08-10 01:32

-> <DFI Corp,LTD >
    -> <LP UT NF4 Expert>
    -> <1.0 >

(0001882)
alfredo (manager)
2006-08-10 01:31

I have a beta for you. Please send me an email and I will send a ZIP file containing an EXE to you.
(0001883)
adampk17 (reporter)
2006-08-10 01:37

Email sent.
(0001886)
alfredo (manager)
2006-08-10 08:53

Ok, I have a new beta for you to try. It should fix everything. Please, send me an email requesting the beta for this specific motherboard. Make sure your email address can receive an email with a ZIP containing an EXE.
(0001887)
alfredo (manager)
2006-08-10 10:21

Adam, did you receive the beta?
(0001893)
alfredo (manager)
2006-08-10 19:45

Ok, this issue should be fixed now. I would like to know which is the MOTHERBOARD MANUFACTURER and the MOTHERBOARD MODEL reported by SMBIOS for your motherboard. And I would like to know which is the exact name of your motherboard as it should be written on the motherboard itself. Currently it seems that the same motherboard has got different SMBIOS names. You can read SMBIOS data using the ACPI TABLES tool available on the BETA AREA or using any other tool that reads it.
(0001900)
mak84 (reporter)
2006-08-10 20:28

Mine reports the same as adampk17

    -> <DFI Corp,LTD >
    -> <LP UT NF4 Expert>
    -> <1.0 >
(0001901)
alfredo (manager)
2006-08-10 20:34

Mak84, if you want, send me an email and I will send the latest beta for you to try. Remember to use an account where you can receive a 1MB ZIP file containing an EXE.
(0001904)
adampk17 (reporter)
2006-08-10 20:47

I send the report you wanted from 4.30 b1.1.

Seems I can't change fan speeds unfortunetly. Perhaps this is just due to my own mistake. Mak84 if you have the new beta can you change speeds?
(0001905)
alfredo (manager)
2006-08-10 20:49

Fan speeds can be changed. Enter CONFIGURE / ADVANCED and read the help about ADVANCED SETTINGS.
(0001906)
mak84 (reporter)
2006-08-10 20:56

Email sent
(0001907)
adampk17 (reporter)
2006-08-10 20:59

OK, after reading the intructions, imagine that, I can now change fans speeds :)

Thanks for all your help!
(0001908)
alfredo (manager)
2006-08-10 21:00

;-)
(0001910)
adampk17 (reporter)
2006-08-10 21:31

Is it entirely possible that I am seeing temps reported more than once? I have nine temps being reported but I can't quite decipher all of them. Here is what Speedfan reports:

Temp
Temp1
Temp2
Temp3
Core
Temp1 (again)
HD0
HD1
HD2

I figure I should have:

3 hard drive temps
1 CPU temp
1 Nvidia GPU temp
1 nF4 Chipset temp
1 Power regulator temp

To my knowledge there isn't a ambient temp sensor, the DMI temp monitoring tool doesn't report one anyway.
(0001911)
mak84 (reporter)
2006-08-10 21:41

How mad is that, I got the FAN speeds to work :)

adampk17 - One would be the motherboards CPU temp reading. Probably around 10C lower than the 'core' temp

Alfredo check your email again.
(0001930)
alfredo (manager)
2006-08-12 10:45

I've got the final beta for this issue. Please, send me an email if you want to try on your DFI nF4 SLI-DR Expert motherboard. I'm closing this issue now.

- Issue History
Date Modified Username Field Change
2005-12-30 23:57 adampk17 New Issue
2005-12-30 23:57 adampk17 Video Card Model => EVGA 7800GT CO 256-P2-N517-AX
2005-12-31 01:08 adampk17 Note Added: 0001443
2005-12-31 16:44 mak84 Note Added: 0001444
2006-01-23 07:55 rudds Note Added: 0001459
2006-01-26 11:44 Mythos Note Added: 0001462
2006-01-28 19:56 Mythos Note Edited: 0001462
2006-02-07 16:39 alfredo Note Added: 0001485
2006-02-07 16:39 alfredo Status assigned => acknowledged
2006-03-03 08:51 alfredo Relationship added has duplicate 0000496
2006-03-15 17:44 Cook1 Note Added: 0001583
2006-03-16 00:16 mak84 Note Added: 0001585
2006-03-30 06:39 bonzo206 Note Added: 0001598
2006-03-30 21:05 walt Note Added: 0001601
2006-03-30 21:05 walt Note Edited: 0001601
2006-03-31 05:57 bonzo206 Note Added: 0001605
2006-08-08 05:00 adampk17 Note Added: 0001869
2006-08-08 10:32 alfredo Note Added: 0001870
2006-08-09 14:42 mak84 Note Added: 0001872
2006-08-09 14:45 mak84 Note Edited: 0001872
2006-08-09 14:45 mak84 Note Added: 0001873
2006-08-09 16:46 adampk17 Note Added: 0001874
2006-08-09 21:03 alfredo Note Added: 0001876
2006-08-10 01:23 adampk17 Note Added: 0001880
2006-08-10 01:27 adampk17 Note Added: 0001881
2006-08-10 01:31 alfredo Note Added: 0001882
2006-08-10 01:31 alfredo Note Deleted: 0001881
2006-08-10 01:32 alfredo Note Edited: 0001880
2006-08-10 01:34 alfredo Note Edited: 0001873
2006-08-10 01:34 alfredo Note Edited: 0001872
2006-08-10 01:37 adampk17 Note Added: 0001883
2006-08-10 08:53 alfredo Note Added: 0001886
2006-08-10 10:21 alfredo Note Added: 0001887
2006-08-10 19:45 alfredo Note Added: 0001893
2006-08-10 19:57 alfredo Relationship added duplicate of 0000522
2006-08-10 20:28 mak84 Note Added: 0001900
2006-08-10 20:34 alfredo Note Added: 0001901
2006-08-10 20:47 adampk17 Note Added: 0001904
2006-08-10 20:49 alfredo Note Added: 0001905
2006-08-10 20:56 mak84 Note Added: 0001906
2006-08-10 20:59 adampk17 Note Added: 0001907
2006-08-10 21:00 alfredo Note Added: 0001908
2006-08-10 21:31 adampk17 Note Added: 0001910
2006-08-10 21:41 mak84 Note Added: 0001911
2006-08-12 10:45 alfredo Note Added: 0001930
2006-08-12 10:46 alfredo Status acknowledged => resolved
2006-08-12 10:46 alfredo Resolution open => fixed
2006-08-12 10:46 alfredo Product Version 4.27 => 4.29
2006-08-26 11:36 alfredo Relationship added parent of 0000615


Copyright © 2000 - 2018 MantisBT Team
Time: 0.1406 seconds.
memory usage: 8,336 KB
Powered by Mantis Bugtracker